<form name="editForm" role="form" novalidate (ngSubmit)="save(post)" #editForm="ngForm">
    <div class="modal-header">
        <h2>
            Create or edit news
        </h2>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;
        </button>
    </div>
    <div class="modal-body">
        <div class="form-group date-group">
            <div *ngIf="post.createdAt" class="input-group col-md-6 col-xs-12">
                <label class="form-control-label"><span>Created at </span></label>
                <p>{{post.createdAt | date:'MMM' }} {{post.createdAt | date:'d' }}th
            </div>
            <label class="form-control-label">Post text</label>
            <textarea type="text" class="form-control" [name]="post.postText"
                      [(ngModel)]="post.postText" required [ngModelOptions]="{standalone: true}"
                      rows="5"></textarea>
            <label class="form-control-label">User</label>
            <div class="input-dropdown">
                <input *ngIf="!post.user" type="text" class="form-control" [(ngModel)]="searchInput" (focus)="searchUsersShow()" (blur)="searchUsersHide()" (keyup)="myFunction()" placeholder="Search for user..">
                <input *ngIf="post.user" type="text" class="form-control" [(ngModel)]="searchInput" (focus)="searchUsersShow()" (blur)="searchUsersHide()" (keyup)="myFunction()" [name]="post.user.username" [value]="post.user.username">
                <!--    <ul *ngIf="searchShow">-->
                <!--        <li *ngFor="let searchUser of searchUsers" [value]="searchUser" (mousedown)="selectUser(searchUser)">{{searchUser.username}} </li>-->
                <!--    </ul>-->
                <select *ngIf="searchShow" class="form-control" multiple name="user" [(ngModel)]="post.user">
                    <option *ngFor="let searchUser of searchUsers" [value]="searchUser" (mousedown)="selectUser(searchUser)">{{searchUser.username}} </option>
                </select>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span>Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span>Save</span>
        </button>
    </div>
</form>
